Bug 521760 - rpm %files section not allowing absolute path names in -f switch
Summary: rpm %files section not allowing absolute path names in -f switch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 08:58 UTC by Paolo Penzo
Modified: 2009-10-27 06:36 UTC (History)
4 users (show)

Fixed In Version: 4.7.1-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-27 06:36:19 UTC
Type: ---


Attachments (Terms of Use)
A sample spec file to reprdouce this issue (397 bytes, text/plain)
2009-09-08 08:58 UTC, Paolo Penzo
no flags Details

Description Paolo Penzo 2009-09-08 08:58:41 UTC
Created attachment 360048 [details]
A sample spec file to reprdouce this issue

After updating to rpm 4.7.1 (rpm-4.7.1-1.fc11.x86_64) I got troubles building RPM packages in which installed files are specified via %files -f /path/to/file/list since now rpm prepends %{_builddir}/%{buildsubdir} to -f argument.
AFAIK it should be possible to read the file list from a file locate anywhere in the filesystem.

Comment 1 Panu Matilainen 2009-09-15 06:15:26 UTC
We might change it back to allow absolute pathnames but using a static name for a file in /tmp or /var/tmp like this is not a particularly good idea. The build dir is the "natural" place for this, as the file is specific to that particular build.

Comment 2 Paolo Penzo 2009-09-15 06:47:34 UTC
I agree with you: the builddir is the "natural" place for the list file. However assuming that this file must be specified with the relative path to the builddir has a couple of drawbacks which are not backward compatible:
1) the file cannot be specified with the absolute path name even though it resides into the buildir.
2) people used to place this file somewere else cannot build the packages on systems using different rpm versions.

Comment 3 Panu Matilainen 2009-09-15 09:06:03 UTC
Yup.. and then there's "%files -f %{SOURCE10}" style use-case. Fixed in rawhide now but leaving open for F11 tracking.

Comment 4 Fedora Update System 2009-10-08 10:06:03 UTC
rpm-4.7.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpm-4.7.1-3.fc11

Comment 5 Fedora Update System 2009-10-09 03:41:04 UTC
rpm-4.7.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10354

Comment 6 Fedora Update System 2009-10-27 06:35:04 UTC
rpm-4.7.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.